#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, x;
    cin >> n >> x;
    int komsije[n];
    for(int i = 0; i < n; ++i)
    {
        cin >> komsije[i];
    }
    stable_sort(komsije, komsije+n);

    int posL = x, posD = x;
    int L = 0, D = 0;

    for(int i = 0; i < n; i++)
    {
        L +=  abs(komsije[i] - posL);
        D += abs(komsije[n-1-i] - posD);
        posL = komsije[i];
        posD = komsije[n-1-i];
    }

    if(L < D)
        cout << L;
    else
        cout << D;

    return 0;
}